/* Start Global Rules 
*/
* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
:root {
  --main-color: #2196f3;
  --main-color-alt: #1787e0;
  --main-transition: 0.3s;
  --main-padding-top: 100px;
  --main-padding-bottom: 100px;
  --section-background: #ececec;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: "Cairo", sans-serif;
}
a {
  text-decoration: none;
}
ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.container {
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;
}
/* Small */
@media (min-width: 768px) {
  .container {
    width: 750px;
  }
}
/* Medium */
@media (min-width: 992px) {
  .container {
    width: 970px;
  }
}
/* Large */
@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}
.main-title {
  border: 2px solid black;
  width: fit-content;
  font-size: 30px;
  padding: 10px 20px;
  margin: auto;
  position: relative;
  z-index: 1;
  transition: var(--main-transition);
  text-transform: uppercase;
  margin: 0 auto 80px;
}
.main-title::before,
.main-title::after {
content: "";
position: absolute;
width: 14px;
height: 14px;
background-color: var(--main-color);
border-radius: 50%;
top: 50%;
transform: translateY(-50%);
}
.main-title::before {
  left: -30px;
}
.main-title::after {
  right: -30px;
}
.main-title:hover::before {
z-index: -1;
animation: left-move 0.5s linear forwards;
}
.main-title:hover::after {
  z-index: -1;
  animation: right-move 0.5s linear forwards;
}
.main-title:hover {
  color: white;
  border: 2px solid white;
  transition-delay: 0.5s;
  letter-spacing: 0.5px;
}
.spikes {
position: relative;
}
.spikes::after {
  content: "";
  position: absolute;
  right: 0;
  width: 100%;
  height: 30px;
  z-index: 1;
  background-image: linear-gradient(135deg, white 25%, transparent 25%) , linear-gradient(225deg, white 25%, transparent 25%);
  background-size: 30px 30px;
}
.dots {
  background-image: url(../images/dots.png);
  height: 186px;
  width: 204px;
  background-repeat: no-repeat;
  position: absolute;
}
@media (max-width:991px) {
  .dots {
    display: none;
  }
}
.dots-up {
  top: 200px;
  right: 0;
}
.dots-down {
  bottom: 200px;
  left: 0;
}
/* End Global Rules */
/* Start Header */
.header {
  background-color: white;
  position: relative;
  -webkit-box-shadow: 0 0 10px #ddd;
  -moz-box-shadow: 0 0 10px #ddd;
  box-shadow: 0 0 10px #ddd;
}
.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  position: relative;
}
.header .logo {
  color: var(--main-color);
  font-size: 26px;
  font-weight: bold;
  height: 72px;
  display: flex;
  justify-content: center;
  align-items: center;
}


@media (max-width: 767px) {
  .header .logo {
    width: 100%;
    height: 50px;
  }
}
.header .main-nav {
  display: flex;
}
@media (max-width: 767px) {
  .header .main-nav {
    margin: auto;
  }
}
.header .main-nav > li:hover .mega-menu {
  opacity: 1;
  z-index: 100;
  top: calc(100% + 1px);
}
.header .main-nav > li > a {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 72px;
  position: relative;
  color: black;
  padding: 0 30px;
  overflow: hidden;
  font-size: 18px;
  transition: var(--main-transition);
}
@media (max-width: 767px) {
  .header .main-nav > li > a {
    padding: 10px;
    font-size: 14px;
    height: 40px;
  }
}
.header .main-nav > li > a::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 6px;
  background-color: var(--main-color);
  top: 0;
  left: -100%;
  transition: var(--main-transition);
}
.header .main-nav > li > a:hover {
  color: var(--main-color);
  background-color: #fafafa;
  letter-spacing: 1px;
}
.header .main-nav > li > a:hover::before {
  left: 0;
}
.header .mega-menu {
  position: absolute;
  width: 100%;
  left: 0;
  padding: 30px;
  background-color: white;
  border-bottom: 3px solid var(--main-color);
  z-index: -1;
  display: flex;
  gap: 40px;
  top: calc(100% + 50px);
  opacity: 0;
  transition: top var(--main-transition), opacity var(--main-transition);
}
@media (max-width: 767px) {
  .header .mega-menu {
    flex-direction: column;
    gap: 0;
    padding: 5px;
  }
}
.header .mega-menu .image img {
  max-width: 100%;
}
@media (max-width: 991px) {
  .header .mega-menu .image {
    display: none;
  }
}
.header .mega-menu .links {
  min-width: 250px;
  flex: 1;
}
.header .mega-menu .links li {
  position: relative;
}
.header .mega-menu .links li:not(:last-child) {
  border-bottom: 1px solid #e9e6e6;
}
@media (max-width: 767px) {
  .header .mega-menu .links:first-of-type li:last-child {
    border-bottom: 1px solid #e9e6e6;
  }
}
.header .mega-menu .links li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 0;
  height: 100%;
  background-color: #fafafa;
  z-index: -1;
  transition: var(--main-transition);
}
.header .mega-menu .links a:hover  {
  letter-spacing: 1px;
  transition: var(--main-transition);
}
.header .mega-menu .links li:hover::before {
  width: 100%;
}
.header .mega-menu .links li a {
  color: var(--main-color);
  padding: 15px;
  display: block;
  font-size: 18px;
  font-weight: bold;
  transition: var(--main-transition);
}
.header .mega-menu .links li a i {
  margin-right: 10px;
}
/* End Header */
/* Start Landing */
.landing {
  position: relative;
}
.landing::before {
  content: "";
  position: absolute;
  left: 0;
  top: -40px;
  width: 100%;
  height: 100%;
  background-color: #ececec;
  z-index: -1;
  transform: skewY(-6deg);
  transform-origin: top left;
}
.landing .container {
  min-height: calc(100vh - 72px);
  display: flex;
  align-items: center;
  padding-bottom: 120px;
}

.landing .text {
  flex: 1;
}
@media (max-width: 991px) {
  .landing .text {
    text-align: center;
  }
  .landing .container  {
    flex-direction: column;
    text-align: center;
  }
}
.landing .text h1 {
  font-size: 40px;
  margin: 0;
  letter-spacing: -2px;
  color: var(--main-color);
}
@media (max-width: 767px) {
  .landing .text h1 {
    font-size: 28px;
  }
}
.landing .text p {
  font-size: 23px;
  line-height: 1.7;
  margin: 0;
  color: #666;
  max-width: 500px;
}
@media (max-width: 991px) {
  .landing .text p {
    margin: 10px auto;
  }
}
@media (max-width: 767px) {
  .landing .text p {
    font-size: 18px;
  }
}
.landing .image img {
  position: relative;
  width: 600px;
  animation: up-and-down 5s linear infinite;
  max-width: 100%;
}

@media (max-width: 991px) {
  .landing .image {
    order: -1;
    margin-bottom: 60px;
    margin-top: 60px;
  }
}
.landing .go-down {
  color: var(--main-color);
  position: absolute;
  bottom: 30px;
  left: 50%;
  transform: translatex(-50%);
  transition: var(--main-transition);
  font-size: 30px;
}
.landing .go-down:hover {
  color: var(--main-color-alt);
}
.landing .go-down i {
  animation: bouncing 1.5s infinite;
}

/* End Landing */

/* Start article */
.article {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
}
.article .container {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
  gap: 40px;
}
.article .container .box {
  overflow: hidden;
  background-color: white;
  box-shadow: 0 2px 15px rgb(0 0 0 / 10%);
  border-radius: 10px;
 transition: transform var(--main-transition), box-shadow var(--main-transition);
}
.article .container .box:hover {
  transform: translateY(-10px);
  box-shadow: 0 2px 15px rgb(0 0 0 / 50%);
  border: 2px solid var(--main-color);
}
.article .container .box img {
  width: 100%;
  max-width: 100%;
}
.article .container .box  .text {
  padding: 20px;
}
.article .container .box  .text h3 {
  margin: 0;
}
.article .container .box  .text p {
  line-height: 1.5;
  margin: 10px 0 0;
  color: #777;
  transition: var(--main-transition);
}
.article .container .box:hover  p {
  line-height: 2;
  letter-spacing: 0.5px;
}
.article .container .box .info {
  border-top: 1px solid #Ccc;
  padding: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--main-color);
}
.article .container .box:hover .info {
  border-top: 2px solid var(--main-color-alt);
}
.article .container .box .info a {
color: var(--main-color);
display: block;
font-weight: bold;
}
.article .container .box .info i {
  transition: var(--main-transition);
  font-weight: 550;
  font-size: 14px;  
}
.article .container .box:hover .info i {
  animation: moving-arrow 0.6s infinite linear
}
/* End article */
/* Start Gallery */
.gallery {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: var(--section-background);
}
.gallery .container {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(300px,1fr));
  gap: 40px;
}
.gallery .container .box{
  border-radius: 10px;
overflow: hidden;
padding: 15px;
background-color: white;
transition: var(--main-transition);
box-shadow: 0px 12px 20px 0px rgb(0 0 0 / 13%), 0px 2px 4px 0px rgb(0 0 0 / 12%);
}
.gallery .container .box .image{
position: relative;
overflow: hidden;
transition: var(--main-transition);
}
.gallery .container .box .image::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(255, 255, 255, 20%);
  width: 0;
  height: 0;
  opacity: 0;
  z-index: 1;
}
.gallery .container .box .image:hover::before {
  animation: flashing 0.7s ;
}
.gallery .container .box .image:hover img { 
  transform: rotate(5deg)  scale(1.1);  
  
}
.gallery .container .box .image img{
max-width: 100%;
transition: var(--main-transition);
}
/* End Gallery */
/* Start features */
.features {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: white;
}
.features .container {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(300px,1fr));
  gap: 40px;
}
.features  .box {
  text-align: center;
  border: 1px solid #ccc;
  overflow: hidden;
  border-radius: 10px;
}
.features  .box .img-holder{
  position: relative;
}
.features  .box .img-holder::before {
  content: "";
  position: absolute;
  left: 0;
  top: -1px;
  width: 100%;
  height: 100%;
}
.features  .box .img-holder::after {
content: "";
position: absolute;
bottom: 0;
right: 0;
border-style: solid;
border-width: 0 0 170px 500px;
border-color: transparent transparent white transparent;
transition: var(--main-transition);
}
.features  .box:hover .img-holder::after {
  border-width: 170px 500px 170px 0;
}
.features  .box .img-holder img{
max-width: 100%;
}
.features  .box h2 {
  position: relative;
  font-size: 40px;
  margin: auto;
  width: fit-content;
}
.features  .box h2::after {
content: "";
position: absolute;
bottom: -20px;
left: 15px;
height: 4px;
width: calc(100% - 30px);
}
.features  .box p {
line-height: 2;
font-size: 20px;
margin: 30px 0;
color: #777;
padding: 25px;
}
.features  .box  a {
  display: block;
  border: 3px solid  transparent;
  width: fit-content;
  margin: 0 auto 30px;
  font-weight: bold;
  font-size: 22px;
  padding: 10px 30px;
  border-radius: 8px;
  transition: var(--main-transition);
}
.features .quality .img-holder::before {
  background-color: rgb(244  64 54 / 60%);
}
.features .quality h2::after {
background-color: #f44036;
}
.features .quality a {
  color: #f44036;
  border-color: #f44036;
  background: linear-gradient(to right,#f44036 50% , white 50%);
  background-size: 200% 100%;
   background-position: right bottom;
}
.features .time .img-holder::before {
  background-color:rgb(0 150 136 / 60%);
}
.features .time h2::after {
background-color: #009688;
}
.features .time a {
  color: #009688;
  border-color: #009688;
  background: linear-gradient(to right,#009688 50% , white 50%);
  background-size: 200% 100%;
   background-position: right bottom;
}
.features .passion .img-holder::before {
  background-color:rgb(3 169 244 / 60%);
}
.features .passion h2::after {
background-color: #03a9f4;
}
.features .passion a {
  color: #03a9f4;
  border-color: #03a9f4;
  background: linear-gradient(to right,#03a9f4 50% , white 50%);
   background-size: 200% 100%;
   background-position: right bottom;
}
.features  .box:hover a {
  background-position: left bottom;
  color: white;
}
/* End features */
/* Strt Testimonials */
.testimonials {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: var(--section-background);
}
.testimonials .container {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(300px,1fr));
  gap: 40px;
}
.testimonials .container .box {
  background-color: white;
  border-radius: 6px;
 padding: 20px;
  position: relative;
  box-shadow: 0 2px 4px rgb(0 0 0 / 20%);  
}
.testimonials .container .box img {
  position: absolute;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  right: -10px;
  top: -50px;
  border: 10px solid var(--section-background);
}
.testimonials .container .box h3 {
  margin: 0;
}
.testimonials .container .box span {
  margin: 10px 0;
  display: block;
  color: var(--main-color-alt);
} 
.testimonials .container .box .rate  .filled {
  color: #ffc107;
  margin-top: 5px;
}
.testimonials .container .box p {
  line-height: 1.6;
  color: #777;
  margin-bottom: 0;
}
/* End Testimonials */
/*  Start Team */
.team {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
}
.team .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 30px;
}
.team .box {
  position: relative;
  
}
.team .box::before,
.team .box::after{
  content: "";
  background-color: #f3f3f3;
  position: absolute;
  right: 0;
  top: 0;
  height: 100%;
  border-radius: 10px;
  transition: var(--main-transition);
}
.team .box::before {
  width: calc(100% - 60px);
  z-index: -2;  
}
.team .box::after {
  z-index: -1;
  background-color: #e4e4e4;
  width: 0;
}
.team .box:hover::after {
  width: calc(100% - 60px);
}
.team .box .data {
  display: flex;
  align-items: center;
  padding-top: 60px;
}
.team .box .data img {
  width: calc(100% - 60px);
  transition: var(--main-transition);
  border-radius: 10px;
}
.team .box:hover img  {
  filter: grayscale(100%);
}
.team .box .data .social  {
  width: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}
.team .box .data .social a {
color: #777;
width: 60px;
height: 30px;
display: flex;
justify-content: center;
align-items: center;
}
.team .box .data .social a:hover i {
  color: var(--main-color);
}
.team .box .data .social  i {
  transition: var(--main-transition);
}
.team .box .info {
  padding-left: 80px;
}
.team .box .info h3{
  color: var(--main-color);
  margin: 0;
  margin-top: 20px;
  font-size: 22px;
  transition: var(--main-transition);
}
.team .box:hover  h3 {
  filter: grayscale(100%);
}
.team .box .info p{
  margin-top: 10px;
  margin-bottom: 25px;
}
/* End Team */
/* Start services */
.services {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: var(--section-background);
}
.services .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 30px;
}
.services .container .box {
  background-color: white;
  text-align: center;
  padding-top: 30px;
  box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 rgb(0 0 0 / 12%);
  transition: var(--main-transition);
  position: relative;
  counter-increment:services ;
}
.services .container .box::before {
  content: "";
  position: absolute;
  left: 50%;
  transform: translatex(-50%);
  height: 3px;
  top: -3px;
  background-color: var(--main-color);
  width: 0;
  transition: var(--main-transition);
}
.services .container .box:hover::before {
  width: 100%;
}
.services .container .box:hover {
  transform: translateY(-15px);
}
.services .container .box  i {
  color: #d5d5d5;
}
.services .container .box  h3 {
  color: var(--main-color);
  font-size: 25px;
}
.services .container .box .info {
  padding: 15px;
    position: relative;
    background-color: #f9f9f9;
    text-align: right;
}
.services .box .info::before {
  content: "0" counter(services);
  position: absolute;
  background-color: var(--main-color);
  color: white;
  left: 0;
  top: 0;
  height: 100%;
  width: 80px;
  font-size: 30px;
  font-weight: bold;
  display: flex;
  justify-content: center;  
  align-items: center;
  padding-right: 15px;
}
.services .box .info::after {
  content: "";
  position: absolute;
  background-color: #d5d5d5;
  top: 0;
  left: 80px;
  width: 50px;
  height: calc(100% + 0.4px);
  transform: skewX(-30deg);
}
.services .container .box .info a {
  display: block;
  color: var(--main-color);
}
/* End services */
/* Start Our Skills */
.our-skills {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
}
.our-skills .container {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.our-skills .container img {
  max-width: 100%;
}
.our-skills .container .skills {
  flex: 1;
}
.our-skills .container  .skill h3{
display: flex;
justify-content: space-between;
align-items: center;
}
.our-skills .container  .skill span {
  font-size: 12px;
  border: 1px solid #ccc;
  padding: 3px 5px;
  border-radius: 4px;
  color: var(--main-color);
}
.our-skills .container  .skill .the-porgers {
  height: 30px;
  position: relative;
  background-color: #eee;
}
.our-skills .container  .skill .the-porgers span {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  background-color: var(--main-color);
}
/* End Our Skills */
/* Start How it Works */
.work-steps {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: var(--section-background);
}
.work-steps .container {
  display: flex;
   align-items: center;
  justify-content: space-between;
  gap: 100px;
}
@media (max-width:991px) {
  .work-steps .container  {
    flex-direction: column;
    text-align: center;
  }
}
.work-steps .container img {
  max-width: 100%;
}
.work-steps .container  .box {
  background-color: #f6f5f5;
  padding: 30px;
  margin-bottom: 20px;
  border-radius: 10px;
  display: flex;
  align-items: center;
  border: 2px solid white;
  position: relative;
  z-index: 1;
  overflow: hidden;
}
.work-steps .info .box::before {
  content: "";
  left: 50%;
  top: 50%;
  position: absolute;
  width: 0;
  height: 0;
  transform: translate(-50%, -50%);
  background-color: #ededed;
  z-index: -1;
  transition: var(--main-transition);
}
.work-steps .info .box:hover::before {
  width: 100%;
  height: 100%;
}
@media (max-width:767px) {
  .work-steps .container  .box  {
   flex-direction: column;
   text-align: center;
  }
}
.work-steps .container  .box img{
width: 64px;
max-width: 100%;
margin-right: 30px;
}
@media (max-width: 767px) {
  .work-steps .info .box img {
      margin: 0 0 30px;
  }
}
.work-steps .container  .box .text h3 {
  margin: 0;
  font-size: 22px;
}
.work-steps .container  .box .text p {
  color: #777;
  line-height: 1.7;
  margin: 10px 0 0;
  font-size: 18px;
}
/* End How it Works */
/* Start Events  */
.events {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
}
.events .container {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.events .container img{
max-width: 450px;
}
@media (max-width:991px) {
  .events .container img {
    display: none;
  }
}
.events .container .info {
  flex: 1;
}
.events .container .info .time{
display: flex;
align-items: center;
margin: 20px auto;
gap: 20px;
justify-content: center;
}
.events .container .info .time .unit span {
  display: block;
}
.events .container .info .time .unit{
border: 1px solid #d4d4d4;
border-radius: 6px;
text-align: center;
width: 75px;
transition: var(--main-transition);
}
.events .container .info .time .unit span:first-child{
font-size: 35px;
padding: 15px;
color: var(--main-color);
font-weight: bold;

}
@media (max-width:767px) {
  .events .container .info .time .unit {
   width: 60px;
   text-align: center;
  }
  .events .container .info .time .unit span:first-child {
    text-align: center;
    padding: 10px;
  }
}
.events .container .info .time .unit span:last-child{
 padding: 8px 10px;
 font-size: 13px;
 border-top: 1px solid #d4d4d4;
 transition: var(--main-transition);
}
.events .container .info .time .unit:hover,
.events .container .info .time .unit:hover span:last-child {
  border-color:var(--main-color) ;
}
.events .container .title {
  text-align: center;
  margin: 40px 0 0;
  font-size: 30px;
}
@media (max-width:767px) {
  .events .container .title {
    font-size: 25px;
  }
}
.events .container .description {
text-align: center;
line-height: 1.7;
font-size: 18px;
color: #777;
}
@media (max-width:767px) {
  .events .container .description {
    font-size: 14px;
  }
}
.events .container .subscribe {
width: 100%;
margin-top: 70px;
}
.events .container .subscribe form {
  width: 600px;
  margin: 20px auto;
  padding: 30px 40px;
  background-color: #f6f5f5;
  border-radius: 50px;
  display: flex;
  gap: 20px;
}
@media (max-width:767px) {
  .events .container .subscribe form {
    max-width: 100%;
    padding: 20px;
    flex-direction: column;
    border-radius: 0;
  }
}
.events .container .subscribe form input[type="email"]{
padding: 20px;
border-radius: 50px;
border: none;
flex: 1;
caret-color: var(--main-color);
}
@media (max-width:767px) {
  .events .container .subscribe form input[type="email"] {
    border-radius: 0;
  }
}
.events .container .subscribe form input[type="email"]:focus {
  outline: none;
}
.events .container .subscribe form input[type="email"]::placeholder {
  transition: opacity var(--main-transition);
}
.events .container .subscribe form input[type="email"]:focus::placeholder{
opacity: 0;
}
.events .container .subscribe form input[type="submit"] {
border-radius: 50px;
border: none;
background-color: var(--main-color);
font-weight: bold;
color: white;
padding: 20px;
cursor: pointer;
transition: var(--main-transition);
} 
@media (max-width:767px) {  
  .events .container .subscribe form input[type="submit"] {
    border-radius: 0;
  }
}
.events .container .subscribe form input[type="submit"]:hover {
  background-color: var(--main-color-alt);
}
/* End Events  */
/* Start plans  */
.plans {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-color: var(--section-background);
}
.plans .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 30px;
}
.plans .container .box {
  position: relative;
  box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 rgb(0 0 0 / 12%);
  transition: var(--main-transition);
  background: white;
  text-align: center;
  z-index: 1;
  padding-bottom: 20px;
}
.plans .container .box::before,
.plans .container .box::after {
  content: "";
  position: absolute;
  background-color: #f6f6f6;
  width: 0;
  height: 50%;
  z-index: -1;
  transition: var(--main-transition);
}
.plans .container .box::before {
  left: 0;
  top: 0;
}
.plans .container .box::after {
  right: 0;
  bottom: 0;
}
.plans .container .box:hover::before,
.plans .container .box:hover::after {
  width: 100%;
}
.plans .container .popular {
  transform: translateY(-20px);
  padding-top: 20px;
} 
@media (max-width:1200px) {
  .plans .container .popular {
    transform: translateY(0);
  }
}
.plans .container .popular .label {
  color: white;
 background-color: var(--main-color);
 padding: 10px 10px 35px 10px;
 position: absolute;
 right: 15px;
 writing-mode: vertical-rl;
 top: 0;
 font-weight: bold;
 width: 40px;
 font-size: 18px;
}
.plans .container .popular .label::before {
  content: "";
  border-width: 20px;
  position: absolute;
  border-style: solid;
  border-color: transparent transparent white;
  bottom: 0;
  right: 0;
}
.plans .container .box .title {
  text-align: center;
  font-size: 25px;
  font-weight: bold;
  letter-spacing: -1;
  margin-bottom: 30px;
  padding-top: 20px;
}
.plans .container .box img {
  width: 80px;
  margin-bottom: 30px;
}
.plans .container .box .price span{
  display: block;
  margin-bottom: 5px;
}
.plans .container .box .price .amount  {
  font-size: 60px;
  font-weight: bold;
  color: var(--main-color);
}
.plans .container .box .price .time {
  color: #777;
  margin-bottom: 30px;
}

.plans .container .box ul li {
  padding: 20px;
  text-align: left;
  border-top: 1px solid #eee;
}
.plans .container .box ul li::before {
  font-family: "Font Awesome 5 Free";
  content: "\f00c";
  font-weight: 800;
 margin-right: 10px;
 color: var(--main-color);
 
}
.plans .container .box a {
  color: var(--main-color);
  font-weight: bold;
  border: 2px solid var(--main-color);
  margin: auto;
 margin-top: 30px;
 display: block;
  width: fit-content;
  padding: 15px 18px;
  border-radius: 6px;
  transition: var(--main-transition);
}
.plans .container .box a:hover {
  color: white;
  border-color: var(--main-color-alt);
  background-color: var(--main-color);
}
/* End plans  */
/* Start videos  */
.videos {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
}
.videos .container .holder {
  display: flex;
  justify-content: center;
  background-color: var(--section-background);
   border: 1px solid #ddd;
}
@media (max-width:767px)  {
  .videos .container .holder {
    flex-direction: column;
  }
}
.videos .holder .list .name {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  background-color: #f4f4f4;
  font-weight: bold;
  color: var(--main-color); 
  font-weight: bold;
} 
.videos .holder .list  {
  background-color: white;
 min-width: 300px;
 transition: var(--main-transition);
}
.videos .holder .list ul li {
  padding: 20px;
  border-top: 1px solid var(--section-background);
  cursor: pointer;
  transition: var(--main-transition);
}
.videos .holder .list ul li:hover  {
  background-color: #fafafa;
  color: var(--main-color);
}
.videos .holder .list span {
  display: block;
  margin-top: 10px;
  color: #777;
}
.videos .holder .preview img {
  max-width: 100%;
}
.videos .holder .preview {
padding: 10px;
display: flex;
flex-direction: column;
justify-content: space-between;
}
.videos .holder .preview .info {
  padding: 20px;
  background-color: white;
  transition: var(--main-transition);
  margin-top: 10px;
}
@media (max-width:767px)  {
  .videos .holder .preview .info {
    padding: 10px;
    font-size: 15px;
    text-align: center;
  }
}
/* End videos  */
/* Start stats  */
.stats {
  padding-top: var(--main-padding-top);
  padding-bottom: var(--main-padding-bottom);
  position: relative;
  background-image: url(../images/stats.jpg);
  background-size: cover;
  min-height: 300px;
}
.stats::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-color: rgb(255 255 255 / 95%);
}
.stats h2 {
  font-size: 40px;
  position: relative;
  width: fit-content;
  margin: 0 auto 50px;
  font-weight: bold;
}
@media (max-width:991px)  {
  .stats h2 {
    font-size: 35px;
  }
}
.stats .container {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
  gap: 20px;
}
.stats .container .box {
  position: relative;
  background-color: white;
  padding: 30px 15px;
  text-align: center;
  opacity: 0.8;
    transition: var(--main-transition);
}
.stats .container .box:hover {
  opacity: 1;
}
.stats .container .box::before,
.stats .container .box::after {
  content: "";
  position: absolute;
  height: 0;
  width: 2px;
  background-color: var(--main-color);
  transition: 1s;
} 
.stats .container .box::before {
 right: 0;
 top: 0;
}
.stats .container .box::after {
  left: 0;
  bottom: 0;

}
.stats .container .box:hover::before,
.stats .container .box:hover::after {
  height: 100%;
}
.stats .container .box i {
  display: flex;
  margin: auto;
  margin-bottom: 10px;
}
.stats .container .box .number {
  display: block;
  font-size: 50px;
  font-weight: bold;
  margin-bottom: 10px;
}
.stats .container .box .text {
  color: var(--main-color);
  font-weight: bold;
  font-style: italic;
    font-size: 20px;
}
/* End stats  */
/* Start Discount  */
.discount {
  min-height: 100vh;
  display: flex;
  flex-wrap: wrap;
  
}
@media (max-width:991px) {
  .discount {
    padding-bottom: 50px;
  }
}
.discount .image{
background-image: url(../images/discount-background1.jpg);
background-size: cover;
color: white;
flex-basis: 50%;
display: flex;
align-items: center;
justify-content: center;
position: relative;
z-index: 1;
animation: change-background 10s linear infinite;
}
@media (max-width: 991px) {
  .discount .image {
    flex-basis: 100%;
  }
}
.discount .image::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(23 135 224 / 97%);
  z-index: -1;
}
.discount .form {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-basis: 50%;
}
@media (max-width: 991px) {
  .discount .form {
    flex-basis: 100%;
  }
}
.discount .form .input {
  display: block;
  width: 100%;
  margin-bottom: 25px;
  padding: 15px;
  border: none;
  border-bottom: 1px solid #ccc;
  background-color: #f9f9f9;
  caret-color: var(--main-color);
}
.discount .form textarea.input {
  resize: none;
  height: 200px;
}
.discount .form .input:focus {
  outline: none;
}
.discount .form [type="submit"] {
  display: block;
  width: 100%;
  padding: 15px;
  background-color: var(--main-color);
  color: white;
  font-weight: bold;
  font-size: 20px;
  border: none;
  cursor: pointer;
  transition: var(--main-transition);
}
.discount .form [type="submit"]:hover {
  background-color: var(--main-color-alt);
}
.discount .content {
  text-align: center;
  padding: 0 20px;
}
.discount .content h2 {
  font-size: 40px;
  letter-spacing: -2px;
}
.discount .content p {
  line-height: 1.6;
  font-size: 18px;
  max-width: 500px;
}
.discount .content img {
  width: 300px;
  max-width: 100%;
}
/* End Discount */
/* Start Footer  */
.footer {
  background-color: #191919;
  padding: 70px 0 0;
}
@media (max-width:767px) {
  .footer {
    text-align: center;
  }
}
.footer .container {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
  gap: 40px;
}
.footer .container .box h3{
color: white;
font-size: 50px;
margin: 0 0 20px;
font-weight: bold;
}
.footer .container .box .social{
display: flex;
}
.footer .container .box .social li{
margin-right: 10px;

}
.footer .container .box .social li a{
background-color: #313131;
color: #b9b9b9;
display: inline-flex;
justify-content: center;
align-items: center;
width: 50px;
height: 50px;
font-size: 20px;
transition: var(--main-transition);
}
@media (max-width:767px) {
  .footer .container .box .social  {
  display: flex;
  align-items: center;
 justify-content: center;
  }
}
.footer .container .box .social .facebook:hover {
background-color: #1877f2;
}
.footer .container .box .social .twitter:hover {
background-color: #1da1f2;
}
.footer .container .box .social .youtube:hover {
background-color: #ff0000;
}
.footer .container .box .text {
  line-height: 2;
  color: #b9b9b9;
}
.footer .box .links li {
  padding: 15px 0;
  transition: var(--main-transition);
}
.footer .box .links li:not(:last-child) {
border-bottom: 1px solid #444;
}
.footer .box .links li:hover {
  padding-left: 10px;
}
.footer .box .links li:hover a{
  color: white;
}
.footer .box .links li a {
  color: #b9b9b9;
  transition: var(--main-transition);
}
.footer .box .links li a::before {
  font-family: "Font Awesome 5 Free";
  content: "\F101";
  font-weight: 900;
  margin-right: 10px;
  color: var(--main-color);
}
.footer .box .line {
  display: flex;
  align-items: center;
  color: #b9b9b9;
  margin-bottom: 30px;
}
.footer .box .line i {
  font-size: 25px;
  color: var(--main-color);
  margin-right: 10px;
}
.footer .box .line .info {
line-height: 1.7;
flex: 1;
}
.footer .box .line .info span{
display: block;
}
.footer .footer-gallery img  {
width: 78px;
border: 3px solid white;
margin: 2px;
}
.footer .copyright {
  padding: 25px 0;
  text-align: center;
  color: white;
  margin: 50px 0 0;
  border-top: 1px solid #444;
}
/* End Footer  */
/* Start animation */
@keyframes up-and-down {
  0%, 100% {
    top: 0;
  }
  50% {
    top: -50px;
  }
}
@keyframes bouncing {
  0%,
  10%,
  20%,
  50%,
  80%,
  100%
  {
  transform: translatey(0); 
  }
  40%,
  60% 
  {
    transform: translatey(-20px);
  }
}
@keyframes left-move {
50% {
  left: 0;
  width: 14px;
  height: 14px ;
}
100% {
  left: 0;
  border-radius: 0;
  width: 50%;
  height: 100%;
}
}
@keyframes right-move {
  50% {
    right: 0;
    width: 14px;
    height: 14px;
  }
  100% {
    right: 0;
    border-radius: 0;
    width: 50%;
    height: 100%;
  }
}
@keyframes moving-arrow {
  0% {
    transform: translateX(0);
  }
  25% {
    transform: translateX(5px);
  }
  50% {
    transform: translateX(7px);
  }
  100% {
    transform: translateX(10px);
  }
}
@keyframes flashing {
  0%, 40% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    width: 200%;
    height: 200%;

  }
}
@keyframes change-background {
  0%, 100% {
    background-image: url(../images/discount-background1.jpg);
  }
  50% {
    background-image: url(../images/discount-background2.jpg);
  }
}
/* End animation */